/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.test.properties;

import uk.org.ogsadai.common.xml.*;
import org.apache.log4j.Logger;
import org.w3c.dom.*;

/**
 * @author Steven Lynden
 * 
 * Loads the XML documents used in tests.
 *
 */
public class TestDocuments {

    private static Logger mLog = Logger.getLogger(TestDocuments.class);
    
    /**
     * XML documents used in the tests.
     */
    public static Document sugden,jackson,antonioletti,atkinson,borley,hume,krause,laws;
    
    /**
     * Queries used in the tests.
     */
    public static Element xQuerySelectSugdenQuery,xPathSelectSugdenQuery,xUpdateSugden;
    
    /*
     * Static code to load the test documents on startup
     */
    static {
        sugden = loadDocument("systemtest/sugden.xml");
        jackson = loadDocument("systemtest/jackson.xml");
        antonioletti = loadDocument("systemtest/antonioletti.xml");
        atkinson = loadDocument("systemtest/atkinson.xml");
        borley = loadDocument("systemtest/borley.xml");
        hume = loadDocument("systemtest/hume.xml");
        krause = loadDocument("systemtest/krause.xml");
        laws = loadDocument("systemtest/laws.xml");
        try {
            xPathSelectSugdenQuery = XMLUtilities.xmlFileToDOM("systemtest/xpath-sugden.xml",false).getDocumentElement();
            xQuerySelectSugdenQuery = XMLUtilities.xmlFileToDOM("systemtest/xqueryx-sugden.xml",false).getDocumentElement();
            xUpdateSugden = XMLUtilities.xmlFileToDOM("systemtest/xupdate-sugden.xml",false).getDocumentElement();
        } catch ( Exception e ) {
            mLog.error("Unable to load xquery test document: " + e);   
        }
    }
    
    /*
     * Loads an XML document with the specified filename
     */
    private static Document loadDocument(String filename) {
        try {
            return XMLUtilities.xmlFileToDOM(filename,false);
        } catch ( Exception e ) {
            mLog.error("Unable to load document: " + filename);    
        }
        return null;
    }
    
    
}
