/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.core;

import java.rmi.RemoteException;

import uk.org.ogsadai.dais.xml.service.core.GetResourceListRequest;
import uk.org.ogsadai.dais.xml.service.core.GetResourceListResponse;
import uk.org.ogsadai.dais.xml.service.core.NotAuthorizedFaultType;

/**
 * 
 * The main class of the XML Document service. An instance of this class will be created
 * by Axis when the first message directed as this service is received.
 * 
 * @author Steven Lynden
 * 
 */
public class DocumentService extends DataServiceImpl {

    /**
     * Intialise the service. Invokes the DataServiceImpl
     * constructor.
     */
    public DocumentService() throws Exception {
        super();
    }
    
    /**
     * Returns the list of resources exposed by the XML Document service
     */
    public GetResourceListResponse getResourceList(GetResourceListRequest getResourceListRequest) throws RemoteException, NotAuthorizedFaultType {
        return super.getDocumentServiceResourceList(getResourceListRequest);
    }
    
}
