/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.perform;

import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Element;

/**
 * 
 * Encapsulates a perform document used to add a document to an
 * XML collection.
 * 
 * @author Steven Lynden
 *
 */
public class AddDocumentPerformDocument extends PerformDocument {

    /**
     * Name of the OGSA-DAI activity 
     */
    public static final String name = "xmlResourceManagement";
    
    /**
     * Creates a perform document to add a document to an
     * XML collection.
     */
    public AddDocumentPerformDocument(String collection, String documentName, Element document, String output) throws ParserConfigurationException {
        super(name);
        //collection
        if ( collection != null ) { 
            Element collectionElem = createElementText("collection",collection);
            //collectionElem.setAttribute("createIfNotExists","false");
            activity.appendChild(collectionElem);
        }    
        Element resourceElem = createElement("createResource");
        resourceElem.setAttribute("name",documentName);
        activity.appendChild(resourceElem);
        resourceElem.appendChild(perform.importNode(document,true));
        //output
        Element outputElem = createOutputStreamElement(output);
        activity.appendChild(outputElem);
    }
    
}
