/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.perform;

import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Element;

/**
 * 
 * Encapsulates a perform document used to create an
 * XML collection.
 * 
 * @author Steven Lynden
 *
 */
public class CreateCollectionPerformDocument extends PerformDocument {

    /**
     * Name of the OGSA-DAI activity 
     */
    public static final String name = "xmlCollectionManagement";
    
    /**
     * Creates a perform document to create an
     * XML collection.
     */
    public CreateCollectionPerformDocument(String collection, String createCollection, String output) throws ParserConfigurationException {
        super(name);
        //collection
        if ( collection != null ) { 
            Element collectionElem = createElementText("collection",collection);
            activity.appendChild(collectionElem);
        }
        //createCollection
        Element createCollectionElem = createElement("createCollection");
        createCollectionElem.setAttribute("name",createCollection);
        activity.appendChild(createCollectionElem);
        //output
        Element outputElem = createOutputStreamElement(output );
        activity.appendChild(outputElem);
    }
    
}
