/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.perform;

import javax.xml.parsers.ParserConfigurationException;
import org.w3c.dom.Element;

/**
 * 
 * Encapsulates a perform document used to remove an
 * XML collection.
 * 
 * @author Steven Lynden
 *
 */
public class RemoveCollectionPerformDocument extends PerformDocument {

    /**
     * Name of the OGSA-DAI activity 
     */
    public static final String name = "xmlCollectionManagement";
    
    /**
     * Creates a perform document to remove an
     * XML collection.
     */
    public RemoveCollectionPerformDocument(String removeCollection, String output) throws ParserConfigurationException {
        super(name);
        //removeCollection
        Element createCollectionElem = createElement("removeCollection");
        createCollectionElem.setAttribute("name",removeCollection);
        activity.appendChild(createCollectionElem);
        //output
        Element outputElem = createOutputStreamElement(output );
        activity.appendChild(outputElem);
    }
    
}
