/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.perform;

import javax.xml.parsers.ParserConfigurationException;

import org.w3c.dom.Element;

/**
 * 
 * Encapsulates a perform document used to remove an
 * XML document from a collection.
 * 
 * @author Steven Lynden
 *
 */
public class RemoveDocumentPerformDocument extends PerformDocument {

    /**
     * Name of the OGSA-DAI activity 
     */
    public static final String name = "xmlResourceManagement";
    
    /**
     * Creates a perform document to remove an
     * XML document.
     */
    public RemoveDocumentPerformDocument(String collection, String documentName, String output) throws ParserConfigurationException {
        super(name);
        //collection
        if ( collection != null ) { 
            Element collectionElem = createElementText("collection",collection);
            activity.appendChild(collectionElem);
        }
        Element resourceElem = createElement("removeResource");
        resourceElem.setAttribute("name",documentName);
        activity.appendChild(resourceElem);
        //output
        Element outputElem = createOutputStreamElement(output);
        activity.appendChild(outputElem);
    }
    
}
