/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.perform;

import javax.xml.parsers.ParserConfigurationException;

/**
 * 
 * Encapsulates a perform document used to execute
 * XQuery activities.
 * 
 * @author Steven Lynden
 *
 */
public class XQueryExecutePerformDocument extends XPathExecutePerformDocument {

    /**
     * Name of the OGSA-DAI activity 
     */
    public static String name = "xQueryStatement";
    
    /**
     * Creates an XQuery perform document to be executed against a specific resource
     * in a named collection. Note that the resource may be set to NULL, in which 
     * case the query is executed against the entire collection.
     */
    public XQueryExecutePerformDocument(String collection, String resource, String[][] namespaces, String expression, String output ) throws ParserConfigurationException {
        super(name,collection,resource,namespaces,expression,output);
    }
    
}
