/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.porttypes;

import uk.org.ogsadai.dais.xml.service.core.GenericQueryRequest;
import uk.org.ogsadai.dais.xml.service.core.GenericQueryResponse;
import uk.org.ogsadai.dais.xml.service.core.*;
import uk.org.ogsadai.service.resource.factory.DataServiceResourceFactory;
import uk.org.ogsadai.wsdaix.common.DeploymentProperties;

/**
 * The CoreDataAccess port type implementation. GenericQuery is
 * currently not implemented. The resource property and destroy
 * operations are implemented within the wsdaix.core package.
 * 
 * @author Steven Lynden
 * 
 */
public class CorePT extends PortTypeImpl {

    /**
     * Initialise the core port type.
     */
    public CorePT(DataServiceResourceFactory factory, DeploymentProperties deploymentProperties) {
        super(factory,deploymentProperties);
    }

    /**
     * As a temporary measure, this operation throws a NotAuthorizedFault.
     * TODO: implement GenericQuery by passing an OGSA-DAI perform document
     * down to the underlying engine.
     */
    public GenericQueryResponse genericQuery(GenericQueryRequest genericQueryRequest) throws java.rmi.RemoteException, ServiceBusyFaultType, InvalidLanguageFaultType, InvalidResourceNameFaultType, InvalidDatasetFormatFaultType, InvalidLanguageFaultType, NotAuthorizedFaultType {
        throw new NotAuthorizedFaultType();
    }
    
}
