/*
 *  Copyright 2006 The University of Manchester
 */
package uk.org.ogsadai.wsdaix.resource;

import uk.org.ogsadai.common.rolemap.RoleMapper;

/**
 * 
 * Interface which should be implemented by data resources
 * which can create children. This applies to all resources
 * except the XMLSequence resource
 * 
 * @author Steven Lynden
 *
 */
public interface ParentXMLResource {

    /** Allows role mappers to be inherited from parents */
    public RoleMapper getRoleMapper();
    
    /** Allows the drive class to be inherited from parents */
    public String getDriverClassName();
 
    /** Allows the config directory to be inherited from parents */
    public String getDirectory();
    
    /** Allows the full collection URI to be obtained from parents */
    public String getCollectionURI();
    
    /** Allows the collection URI to be obtained from parents */
    public String getRootCollectionURI();
    
}
